com.smartgwt.client.widgets

## Class StretchImg

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.smartgwt.client.widgets.BaseWidget
      - - com.smartgwt.client.widgets.Canvas
        - - com.smartgwt.client.widgets.StatefulCanvas
          - - com.smartgwt.client.widgets.StretchImg

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsWidget, LogicalStructure, HasClickHandlers, HasDoubleClickHandlers, HasDragMoveHandlers, HasDragRepositionMoveHandlers, HasDragRepositionStartHandlers, HasDragRepositionStopHandlers, HasDragResizeMoveHandlers, HasDragResizeStartHandlers, HasDragResizeStopHandlers, HasDragStartHandlers, HasDragStopHandlers, HasDropHandlers, HasDropMoveHandlers, HasDropOutHandlers, HasDropOverHandlers, HasFocusChangedHandlers, HasHoverHandlers, HasHoverHiddenHandlers, HasKeyDownHandlers, HasKeyPressHandlers, HasMouseDownHandlers, HasMouseMoveHandlers, HasMouseOutHandlers, HasMouseOverHandlers, HasMouseStillDownHandlers, HasMouseUpHandlers, HasMouseWheelHandlers, HasMovedHandlers, HasParentMovedHandlers, HasResizedHandlers, HasRightMouseDownHandlers, HasScrolledHandlers, HasShowContextMenuHandlers, HasVisibilityChangedHandlers
  Direct Known Subclasses:
    Progressbar, Scrollbar, Splitbar, StretchImgButton

      public class StretchImg
      extends StatefulCanvas

  The StretchImg widget class implements a widget type that displays a list of multiple images that make up a single image.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.widgets.BaseWidget

      `config, configOnly, id, isElementSet, nativeObject, scClassName`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StretchImg()`
    `StretchImg(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, Canvas defaults)` Changes the defaults for Canvas AutoChildren named `autoChildName`.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, FormItem defaults)` Changes the defaults for FormItem AutoChildren named `autoChildName`.
    `protected com.google.gwt.core.client.JavaScriptObject` | `create()`
    `int` | `getCapSize()` If the default items are used, capSize is the size in pixels of the first and last images in this stretchImg.
    `java.lang.String` | `getGripImgSuffix()` Suffix used the 'grip' image if `showGrip` is true.
    `java.lang.String` | `getHSrc()` Base URL for the image if `vertical` is false and `src` is unset.
    `java.lang.Boolean` | `getIgnoreRTL()` Should the `items` for this stretchImg display left-to-right even if this page is displaying `right to left text`?
    `ImageStyle` | `getImageType()` Indicates whether the image should be tiled/cropped, stretched, or centered when the size of this widget does not match the size of the image.
    `java.lang.String` | `getItemBaseStyle()` If specified this css class will be applied to the individual item images within this StretchImg.
    `StretchItem[]` | `getItems()` The list of images to display as an array of objects specifying the image names and sizes.
    `com.smartgwt.logicalstructure.core.LogicalStructureObject` | `getLogicalStructure()`
    `static StretchImg` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.Boolean` | `getShowDownGrip()` If `showGrip` is true, this property determines whether to show the 'Down' state on the grip image when the user mousedown's on this widget.
    `java.lang.Boolean` | `getShowGrip()` Should we show a "grip" image floating above the center of this widget?
    `java.lang.Boolean` | `getShowRollOverGrip()` If `showGrip` is true, this property determines whether to show the 'Over' state on the grip image when the user rolls over on this widget.
    `java.lang.Boolean` | `getShowTitle()` Determines whether any specified `title` will be displayed for this component. Applies to Image-based components only, where the title will be rendered out in a label floating over the component
    `java.lang.String` | `getSrc()` The base URL for the image.
    `java.lang.Boolean` | `getVertical()` Indicates whether the list of images is drawn vertically from top to bottom (true), or horizontally from left to right (false).
    `java.lang.String` | `getVSrc()` Base URL for the image if `vertical` is true and `src` is unset.
    `void` | `setCapSize(int capSize)` If the default items are used, capSize is the size in pixels of the first and last images in this stretchImg.
    `static void` | `setDefaultProperties(StretchImg stretchImgProperties)` Class level method to set the default properties of this class.
    `void` | `setGripImgSuffix(java.lang.String gripImgSuffix)` Suffix used the 'grip' image if `showGrip` is true.
    `void` | `setHSrc(java.lang.String hSrc)` Base URL for the image if `vertical` is false and `src` is unset.
    `void` | `setIgnoreRTL(java.lang.Boolean ignoreRTL)` Should the `items` for this stretchImg display left-to-right even if this page is displaying `right to left text`?
    `void` | `setImageType(ImageStyle imageType)` Indicates whether the image should be tiled/cropped, stretched, or centered when the size of this widget does not match the size of the image.
    `void` | `setItemBaseStyle(java.lang.String itemBaseStyle)` If specified this css class will be applied to the individual item images within this StretchImg.
    `void` | `setItems(StretchItem... items)` The list of images to display as an array of objects specifying the image names and sizes.
    `void` | `setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `com.smartgwt.logicalstructure.core.LogicalStructureObject` | `setLogicalStructure(com.smartgwt.logicalstructure.widgets.StretchImgLogicalStructure s)`
    `void` | `setShowDownGrip(java.lang.Boolean showDownGrip)` If `showGrip` is true, this property determines whether to show the 'Down' state on the grip image when the user mousedown's on this widget.
    `void` | `setShowGrip(java.lang.Boolean showGrip)` Should we show a "grip" image floating above the center of this widget?
    `void` | `setShowRollOverGrip(java.lang.Boolean showRollOverGrip)` If `showGrip` is true, this property determines whether to show the 'Over' state on the grip image when the user rolls over on this widget.
    `void` | `setShowTitle(java.lang.Boolean showTitle)` Determines whether any specified `title` will be displayed for this component. Applies to Image-based components only, where the title will be rendered out in a label floating over the component
    `void` | `setSrc(java.lang.String src)` The base URL for the image.
    `void` | `setState(java.lang.String newState)` Set the specified image's state to newState and update the displayed image given by whichPart, or set the state for all images to newState and update the displayed images if whichPart is not provided.
    `void` | `setState(java.lang.String newState, java.lang.String whichPart)` Set the specified image's state to newState and update the displayed image given by whichPart, or set the state for all images to newState and update the displayed images if whichPart is not provided.
    `void` | `setVertical(java.lang.Boolean vertical)` Indicates whether the list of images is drawn vertically from top to bottom (true), or horizontally from left to right (false).
    `void` | `setVSrc(java.lang.String vSrc)` Base URL for the image if `vertical` is true and `src` is unset.

    - ### Methods inherited from class com.smartgwt.client.widgets.StatefulCanvas

      `addToRadioGroup, deselect, getActionType, getAlign, getAutoFit, getBaseStyle, getIcon, getIconHeight, getIconOrientation, getIconSize, getIconWidth, getOverCanvas, getOverCanvasConstructor, getRadioGroup, getRedrawOnStateChange, getSelected, getShowDisabled, getShowDisabledIcon, getShowDown, getShowDownIcon, getShowFocused, getShowFocusedAsOver, getShowFocusedIcon, getShowOverCanvas, getShowRollOver, getShowRollOverIcon, getShowSelectedIcon, getState, getStateSuffix, getTitle, getValign, isSelected, removeFromRadioGroup, removeFromRadioGroup, select, setActionType, setAlign, setAutoFit, setBaseStyle, setDefaultProperties, setIcon, setIconHeight, setIconOrientation, setIconSize, setIconWidth, setLogicalStructure, setOverCanvasConstructor, setRadioGroup, setRedrawOnStateChange, setSelected, setShowDisabled, setShowDisabledIcon, setShowDown, setShowDownIcon, setShowFocused, setShowFocusedAsOver, setShowFocusedIcon, setShowOverCanvas, setShowRollOver, setShowRollOverIcon, setShowSelectedIcon, setState, setTitle, setTitleStyle, setValign`

    - ### Methods inherited from class com.smartgwt.client.widgets.Canvas

      `addChild, addChild, addChild, addChild, addChild, addClickHandler, addDoubleClickHandler, addDragMoveHandler, addDragRepositionMoveHandler, addDragRepositionStartHandler, addDragRepositionStopHandler, addDragResizeMoveHandler, addDragResizeStartHandler, addDragResizeStopHandler, addDragStartHandler, addDragStopHandler, addDropHandler, addDropMoveHandler, addDropOutHandler, addDropOverHandler, addFocusChangedHandler, addHoverHandler, addHoverHiddenHandler, addKeyDownHandler, addKeyPressHandler, addMouseDownHandler, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseStillDownHandler, addMouseUpHandler, addMouseWheelHandler, addMovedHandler, addParentMovedHandler, addPeer, addPeer, addPeer, addPeer, addResizedHandler, addRightMouseDownHandler, addScrolledHandler, addShowContextMenuHandler, addStyleName, addVisibilityChangedHandler, adjustForContent, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateHide, animateHide, animateHide, animateMove, animateMove, animateMove, animateMove, animateRect, animateRect, animateRect, animateRect, animateResize, animateResize, animateResize, animateResize, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateShow, animateShow, animateShow, asSGWTComponent, blur, bringToFront, clear, clickMaskUp, clickMaskUp, contains, contains, containsEvent, containsFocus, containsPoint, containsPoint, deparent, depeer, disable, enable, focus, focusInNextTabElement, focusInPreviousTabElement, getAbsoluteLeft, getAbsoluteTop, getAccessKey, getAnimateAcceleration, getAnimateFadeTime, getAnimateHideAcceleration, getAnimateHideTime, getAnimateMoveAcceleration, getAnimateMoveTime, getAnimateRectAcceleration, getAnimateRectTime, getAnimateResizeAcceleration, getAnimateResizeTime, getAnimateScrollAcceleration, getAnimateScrollTime, getAnimateShowAcceleration, getAnimateShowEffect, getAnimateShowTime, getAnimateTime, getAppImgDir, getAriaRole, getAutoDraw, getAutoShowParent, getBackgroundColor, getBackgroundImage, getBackgroundPosition, getBackgroundRepeat, getBorder, getBottom, getById, getByJSObject, getByLocalId, getCanAcceptDrop, getCanDrag, getCanDragReposition, getCanDragResize, getCanDragScroll, getCanDrop, getCanDropBefore, getCanFocus, getCanHover, getCanSelectText, getCanvasAutoChild, getCanvasItem, getChildren, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getClassName, getContentElement, getContents, getContextMenu, getCursor, getDataPath, getDefaultHeight, getDefaultWidth, getDestroyed, getDestroying, getDisabled, getDisabledCursor, getDoubleClickDelay, getDragAppearance, getDragIntersectStyle, getDragOpacity, getDragRepositionAppearance, getDragRepositionCursor, getDragResizeAppearance, getDragScrollDelay, getDragStartDistance, getDragTarget, getDragType, getDropTypes, getDynamicContents, getEdgeBackgroundColor, getEdgeCenterBackgroundColor, getEdgeImage, getEdgeMarginSize, getEdgeOffset, getEdgeOpacity, getEdgeShowCenter, getEdgeSize, getEventEdge, getEventEdge, getExtraSpace, getFacetId, getFormItemAutoChild, getFullDataPath, getGroupBorderCSS, getGroupLabelBackgroundColor, getGroupLabelStyleName, getGroupTitle, getHeight, getHeightAsString, getHideUsingDisplayNone, getHoverAlign, getHoverAutoDestroy, getHoverComponent, getHoverDelay, getHoverHeight, getHoverHTML, getHoverMoveWithMouse, getHoverOpacity, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWrap, getHSnapOrigin, getHSnapOrigin, getHSnapPosition, getHSnapPosition, getHtmlPosition, getImage, getImgURL, getImgURL, getInnerContentHeight, getInnerContentWidth, getInnerHeight, getInnerWidth, getIsGroup, getKeepInParentRect, getLayoutAlign, getLeft, getLeftAsString, getLocateChildrenBy, getLocateChildrenType, getLocatePeersBy, getLocatePeersType, getMargin, getMasterElement, getMatchElement, getMaxHeight, getMaxWidth, getMenuConstructor, getMinHeight, getMinWidth, getMouseStillDownDelay, getMouseStillDownInitialDelay, getNextZIndex, getNoDoubleClicks, getOffsetHeight, getOffsetWidth, getOffsetX, getOffsetY, getOpacity, getOuterElement, getOverflow, getPadding, getPageBottom, getPageLeft, getPageRect, getPageRight, getPageTop, getParentElement, getPeers, getPercentBox, getPercentSource, getPosition, getPrefix, getPrintChildrenAbsolutelyPositioned, getPrintHTML, getPrintHTML, getPrompt, getRect, getRedrawOnResize, getResizeBarTarget, getResizeFrom, getRight, getScrollbarSize, getScrollBottom, getScrollHeight, getScrollLeft, getScrollRight, getScrollTop, getScrollWidth, getShadowDepth, getShadowImage, getShadowOffset, getShadowSoftness, getShouldPrint, getShowCustomScrollbars, getShowDragShadow, getShowEdges, getShowHover, getShowHoverComponents, getShowResizeBar, getShowShadow, getSkinImgDir, getSnapAxis, getSnapEdge, getSnapHDirection, getSnapHGap, getSnapOffsetLeft, getSnapOffsetTop, getSnapOnDrop, getSnapResizeToGrid, getSnapTo, getSnapToGrid, getSnapVDirection, getSnapVGap, getStyleName, getTabIndex, getTestInstance, getTooltip, getTop, getTopAsString, getTopElement, getUseBackMask, getUseOpacityFilter, getValuesManager, getViewportHeight, getViewportWidth, getVisibility, getVisibleHeight, getVisibleWidth, getVSnapOrigin, getVSnapOrigin, getVSnapPosition, getVSnapPosition, getWidth, getWidthAsString, getZIndex, handleHover, hide, hideClickMask, hideClickMask, hideContextMenu, imgHTML, imgHTML, imgHTML, intersects, isDirty, isDisabled, isDrawn, isVisible, keyUp, layoutChildren, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, markForDestroy, markForRedraw, markForRedraw, moveAbove, moveBelow, moveBy, moveTo, onAttach, onDetach, onInit, parentResized, printComponents, redraw, redraw, removeChild, removeChild, removePeer, removePeer, resizeBy, resizeTo, resizeTo, scrollBy, scrollByPercent, scrollTo, scrollTo, scrollTo, scrollToBottom, scrollToLeft, scrollToPercent, scrollToRight, scrollToTop, sendToBack, setAccessKey, setAllowExternalFilters, setAnimateAcceleration, setAnimateFadeTime, setAnimateHideAcceleration, setAnimateHideTime, setAnimateMoveAcceleration, setAnimateMoveTime, setAnimateRectAcceleration, setAnimateRectTime, setAnimateResizeAcceleration, setAnimateResizeTime, setAnimateScrollAcceleration, setAnimateScrollTime, setAnimateShowAcceleration, setAnimateShowEffect, setAnimateShowTime, setAnimateTime, setAppImgDir, setAriaRole, setAriaState, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoDraw, setAutoHeight, setAutoShowParent, setAutoWidth, setBackgroundColor, setBackgroundImage, setBackgroundPosition, setBackgroundRepeat, setBorder, setBottom, setCanAcceptDrop, setCanDrag, setCanDragReposition, setCanDragResize, setCanDragScroll, setCanDrop, setCanDropBefore, setCanFocus, setCanHover, setCanSelectText, setCanvasItem, setChildren, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setContents, setContextMenu, setCursor, setDataPath, setDefaultHeight, setDefaultProperties, setDefaultWidth, setDisabled, setDisabledCursor, setDoubleClickDelay, setDragAppearance, setDragIntersectStyle, setDragOpacity, setDragRepositionAppearance, setDragRepositionCursor, setDragResizeAppearance, setDragScrollDelay, setDragStartDistance, setDragTarget, setDragType, setDropTypes, setDynamicContents, setEdgeBackgroundColor, setEdgeCenterBackgroundColor, setEdgeImage, setEdgeMarginSize, setEdgeOffset, setEdgeOpacity, setEdgeShowCenter, setEdgeSize, setExtraSpace, setFacetId, setGroupBorderCSS, setGroupLabelBackgroundColor, setGroupLabelStyleName, setGroupTitle, setHeight, setHeight, setHeight100, setHideUsingDisplayNone, setHoverAlign, setHoverAutoDestroy, setHoverDelay, setHoverHeight, setHoverMoveWithMouse, setHoverOpacity, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWrap, setHtmlPosition, setImage, setImage, setIsGroup, setKeepInParentRect, setKeepInParentRect, setKeepInParentRect, setLayoutAlign, setLayoutAlign, setLeft, setLeft, setLocateChildrenBy, setLocateChildrenType, setLocatePeersBy, setLocatePeersType, setLogicalStructure, setMargin, setMatchElement, setMaxHeight, setMaxWidth, setMenuConstructor, setMinHeight, setMinWidth, setMouseStillDownDelay, setMouseStillDownInitialDelay, setNeverUseFilters, setNoDoubleClicks, setOpacity, setOverflow, setPadding, setPageLeft, setPageTop, setParentElement, setPeers, setPercentBox, setPercentSource, setPosition, setPrefix, setPrintChildrenAbsolutelyPositioned, setPrompt, setRect, setRect, setRedrawOnResize, setResizeBarTarget, setResizeFrom, setResizeFrom, setRight, setScrollbarConstructor, setScrollbarSize, setShadowDepth, setShadowImage, setShadowOffset, setShadowSoftness, setShouldPrint, setShowCustomScrollbars, setShowDragShadow, setShowEdges, setShowHover, setShowHoverComponents, setShowResizeBar, setShowShadow, setSkinImgDir, setSmoothFade, setSnapAxis, setSnapEdge, setSnapHDirection, setSnapHGap, setSnapOffsetLeft, setSnapOffsetTop, setSnapOnDrop, setSnapResizeToGrid, setSnapTo, setSnapToGrid, setSnapVDirection, setSnapVGap, setStyleName, setTabIndex, setTooltip, setTop, setTop, setUseBackMask, setUseOpacityFilter, setValuesManager, setVisibility, setVisible, setWidth, setWidth, setWidth100, setZIndex, shouldDragScroll, show, showClickMask, showNextTo, showNextTo, showNextTo, showNextTo, showPrintPreview, showPrintPreview, showPrintPreview, showPrintPreview, showRecursively, updateHover, updateHover, updateShadow, visibleAtPoint, willAcceptDrop`

    - ### Methods inherited from class com.smartgwt.client.widgets.BaseWidget

      `addDrawHandler, destroy, doAddHandler, doInit, doOnRender, draw, equals, error, errorIfNotCreated, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDateArray, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsFloatArray, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getConfig, getDOM, getElement, getElement, getHandlerCount, getID, getInnerHTML, getJsObj, getOrCreateJsObj, getRef, getScClassName, hashCode, initNativeObject, internalSetID, internalSetID, isConfigOnly, isCreated, onBind, onDestroy, onDraw, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setDragTracker, setElement, setHtmlElement, setID, setLogicalStructure, setNullProperty, setPosition, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setScClassName, toString`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getLayoutData, getParent, isAttached, isOrWasAttached, onBrowserEvent, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getStyleElement, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Constructor Detail

    - #### StretchImg

          public StretchImg()

    - #### StretchImg

          public StretchImg(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static StretchImg getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setJavaScriptObject

          public void setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)

      Overrides:
        `setJavaScriptObject` in class `StatefulCanvas`

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                     Canvas defaults)

      Changes the defaults for Canvas AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties.
      See Also:
        `AutoChildUsage`

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                     FormItem defaults)

      Changes the defaults for FormItem AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties.
      See Also:
        `AutoChildUsage`

    - #### create

          protected com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `StatefulCanvas`

    - #### setCapSize

          public void setCapSize(int capSize)

      If the default items are used, capSize is the size in pixels of the first and last images in this stretchImg.
      Parameters:
        `capSize` - capSize Default value is 2
      See Also:
        `Appearance overview and related methods`

    - #### getCapSize

          public int getCapSize()

      If the default items are used, capSize is the size in pixels of the first and last images in this stretchImg.
      Returns:
        int
      See Also:
        `Appearance overview and related methods`

    - #### setGripImgSuffix

          public void setGripImgSuffix(java.lang.String gripImgSuffix)
                                throws java.lang.IllegalStateException

      Suffix used the 'grip' image if `showGrip` is true.

      Note : This is an advanced setting

      Parameters:
        `gripImgSuffix` - . See `String`. Default value is "grip"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getGripImgSuffix

          public java.lang.String getGripImgSuffix()

      Suffix used the 'grip' image if `showGrip` is true.
      Returns:
        . See `String`

    - #### setHSrc

          public void setHSrc(java.lang.String hSrc)

      Base URL for the image if `vertical` is false and `src` is unset.
      Parameters:
        `hSrc` - . See `SCImgURL`. Default value is null
      See Also:
        `setSrc(java.lang.String)`, `setVSrc(java.lang.String)`, `Appearance overview and related methods`

    - #### getHSrc

          public java.lang.String getHSrc()

      Base URL for the image if `vertical` is false and `src` is unset.
      Returns:
        . See `SCImgURL`
      See Also:
        `getSrc()`, `getVSrc()`, `Appearance overview and related methods`

    - #### setIgnoreRTL

          public void setIgnoreRTL(java.lang.Boolean ignoreRTL)

      Should the `items` for this stretchImg display left-to-right even if this page is displaying `right to left text`?

      Only has an effect if this stretchImg is horizontal.

      Having this property set to true is usually desirable - for the common pattern of media consisting of fixed size "end caps" and a stretchable center, it allows the same media to be used for LTR and RTL pages.

      If set to false, items will be displayed in RTL order for RTL pages.

      Parameters:
        `ignoreRTL` - ignoreRTL Default value is true
      See Also:
        `Appearance overview and related methods`

    - #### getIgnoreRTL

          public java.lang.Boolean getIgnoreRTL()

      Should the `items` for this stretchImg display left-to-right even if this page is displaying `right to left text`?

      Only has an effect if this stretchImg is horizontal.

      Having this property set to true is usually desirable - for the common pattern of media consisting of fixed size "end caps" and a stretchable center, it allows the same media to be used for LTR and RTL pages.

      If set to false, items will be displayed in RTL order for RTL pages.

      Returns:
        Boolean
      See Also:
        `Appearance overview and related methods`

    - #### setImageType

          public void setImageType(ImageStyle imageType)

      Indicates whether the image should be tiled/cropped, stretched, or centered when the size of this widget does not match the size of the image. See ImageStyle for details.
      Parameters:
        `imageType` - imageType Default value is Img.STRETCH
      See Also:
        `Appearance overview and related methods`

    - #### getImageType

          public ImageStyle getImageType()

      Indicates whether the image should be tiled/cropped, stretched, or centered when the size of this widget does not match the size of the image. See ImageStyle for details.
      Returns:
        ImageStyle
      See Also:
        `Appearance overview and related methods`

    - #### setItemBaseStyle

          public void setItemBaseStyle(java.lang.String itemBaseStyle)

      If specified this css class will be applied to the individual item images within this StretchImg. May be overridden by specifying item-specific base styles to each object in the `items array`. This base style will have standard stateful suffixes appended to indicate the state of this component (as described in `baseStyle`).
      Parameters:
        `itemBaseStyle` - . See `CSSStyleName`. Default value is null

    - #### getItemBaseStyle

          public java.lang.String getItemBaseStyle()

      If specified this css class will be applied to the individual item images within this StretchImg. May be overridden by specifying item-specific base styles to each object in the `items array`. This base style will have standard stateful suffixes appended to indicate the state of this component (as described in `baseStyle`).
      Returns:
        . See `CSSStyleName`

    - #### setItems

          public void setItems(StretchItem... items)

      The list of images to display as an array of objects specifying the image names and sizes.

      The `name` is appended as a suffix to the `src` URL in order to fetch separate media files for each image. Alternatively a StretchItem may specify its own `src`.

      The `height` and `width` can be set to a number, "*" (remaining space, divided amongst all images that specify "*") or to the name of a property on this StretchImg component, such as "capSize" for the `capSize`.

      Height or width is only used for the axis along which images are stacked. For example, if `vertical` is true, images stack vertically and heights are used to size images on the vertical axis, but all images will have width matching the overall component size.

      For example, the default setting for `items`, which is used to produce stretchable buttons and headers with fixed-size endcaps, is as follows:

              new StretchItem[] {
                  new StretchItem("start", "capSize", "capSize"),
                  new StretchItem("stretch", "*", "*"),
                  new StretchItem("end", "capSize", "capSize")
              };

      Note that by default horizontal StretchImg instances will always render their items in left-to-right order, even if the page is localized for right-to-left display (see `Page.isRTL`). This default behavior may be overridden by setting the `ignoreRTL` flag to false.
      Parameters:
        `items` - items Default value is see below
      See Also:
        `Appearance overview and related methods`

    - #### getItems

          public StretchItem[] getItems()

      The list of images to display as an array of objects specifying the image names and sizes.

      The `name` is appended as a suffix to the `src` URL in order to fetch separate media files for each image. Alternatively a StretchItem may specify its own `src`.

      The `height` and `width` can be set to a number, "*" (remaining space, divided amongst all images that specify "*") or to the name of a property on this StretchImg component, such as "capSize" for the `capSize`.

      Height or width is only used for the axis along which images are stacked. For example, if `vertical` is true, images stack vertically and heights are used to size images on the vertical axis, but all images will have width matching the overall component size.

      For example, the default setting for `items`, which is used to produce stretchable buttons and headers with fixed-size endcaps, is as follows:

              new StretchItem[] {
                  new StretchItem("start", "capSize", "capSize"),
                  new StretchItem("stretch", "*", "*"),
                  new StretchItem("end", "capSize", "capSize")
              };

      Note that by default horizontal StretchImg instances will always render their items in left-to-right order, even if the page is localized for right-to-left display (see `Page.isRTL`). This default behavior may be overridden by setting the `ignoreRTL` flag to false.
      Returns:
        StretchItem
      See Also:
        `Appearance overview and related methods`

    - #### setShowDownGrip

          public void setShowDownGrip(java.lang.Boolean showDownGrip)
                               throws java.lang.IllegalStateException

      If `showGrip` is true, this property determines whether to show the 'Down' state on the grip image when the user mousedown's on this widget. Has no effect if `showDown` is false.

      Note : This is an advanced setting

      Parameters:
        `showDownGrip` - showDownGrip Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getShowDownGrip

          public java.lang.Boolean getShowDownGrip()

      If `showGrip` is true, this property determines whether to show the 'Down' state on the grip image when the user mousedown's on this widget. Has no effect if `showDown` is false.
      Returns:
        Boolean

    - #### setShowGrip

          public void setShowGrip(java.lang.Boolean showGrip)
                           throws java.lang.IllegalStateException

      Should we show a "grip" image floating above the center of this widget?

      Note : This is an advanced setting

      Parameters:
        `showGrip` - showGrip Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getShowGrip

          public java.lang.Boolean getShowGrip()

      Should we show a "grip" image floating above the center of this widget?
      Returns:
        Boolean

    - #### setShowRollOverGrip

          public void setShowRollOverGrip(java.lang.Boolean showRollOverGrip)
                                   throws java.lang.IllegalStateException

      If `showGrip` is true, this property determines whether to show the 'Over' state on the grip image when the user rolls over on this widget. Has no effect if `showRollOver` is false.

      Note : This is an advanced setting

      Parameters:
        `showRollOverGrip` - showRollOverGrip Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getShowRollOverGrip

          public java.lang.Boolean getShowRollOverGrip()

      If `showGrip` is true, this property determines whether to show the 'Over' state on the grip image when the user rolls over on this widget. Has no effect if `showRollOver` is false.
      Returns:
        Boolean

    - #### setShowTitle

          public void setShowTitle(java.lang.Boolean showTitle)

      Determines whether any specified `title` will be displayed for this component.
      Applies to Image-based components only, where the title will be rendered out in a label floating over the component

      Note : This is an advanced setting

      Parameters:
        `showTitle` - showTitle Default value is false

    - #### getShowTitle

          public java.lang.Boolean getShowTitle()

      Determines whether any specified `title` will be displayed for this component.
      Applies to Image-based components only, where the title will be rendered out in a label floating over the component
      Returns:
        Boolean

    - #### setSrc

          public void setSrc(java.lang.String src)

      The base URL for the image.

      As with `src`, the `State` of the component is added to this URL. Then, the image segment `name` as specified by each `StretchItem` is added.

      For example, for a stretchImg in "Over" state with a `src` of "button.png" and a segment name of "stretch", the resulting URL would be "button_Over_stretch.png".
      If this method is called after the component has been drawn/initialized: Changes the base `src` for this stretchImg, redrawing if necessary.

      Parameters:
        `src` - new URL for the image. See `SCImgURL`. Default value is null
      See Also:
        `setHSrc(java.lang.String)`, `setVSrc(java.lang.String)`, `Appearance overview and related methods`

    - #### getSrc

          public java.lang.String getSrc()

      The base URL for the image.

      As with `src`, the `State` of the component is added to this URL. Then, the image segment `name` as specified by each `StretchItem` is added.

      For example, for a stretchImg in "Over" state with a `src` of "button.png" and a segment name of "stretch", the resulting URL would be "button_Over_stretch.png".

      Returns:
        . See `SCImgURL`
      See Also:
        `getHSrc()`, `getVSrc()`, `Appearance overview and related methods`

    - #### setVertical

          public void setVertical(java.lang.Boolean vertical)

      Indicates whether the list of images is drawn vertically from top to bottom (true), or horizontally from left to right (false).
      Parameters:
        `vertical` - vertical Default value is true
      See Also:
        `Appearance overview and related methods`

    - #### getVertical

          public java.lang.Boolean getVertical()

      Indicates whether the list of images is drawn vertically from top to bottom (true), or horizontally from left to right (false).
      Returns:
        Boolean
      See Also:
        `Appearance overview and related methods`

    - #### setVSrc

          public void setVSrc(java.lang.String vSrc)

      Base URL for the image if `vertical` is true and `src` is unset.
      Parameters:
        `vSrc` - . See `SCImgURL`. Default value is null
      See Also:
        `setSrc(java.lang.String)`, `setVSrc(java.lang.String)`, `Appearance overview and related methods`

    - #### getVSrc

          public java.lang.String getVSrc()

      Base URL for the image if `vertical` is true and `src` is unset.
      Returns:
        . See `SCImgURL`
      See Also:
        `getSrc()`, `getVSrc()`, `Appearance overview and related methods`

    - #### setState

          public void setState(java.lang.String newState)

      Set the specified image's state to newState and update the displayed image given by whichPart, or set the state for all images to newState and update the displayed images if whichPart is not provided.
      Parameters:
        `newState` - name for the new state ("off", "down", etc)
      See Also:
        `Appearance overview and related methods`

    - #### setState

          public void setState(java.lang.String newState,
                      java.lang.String whichPart)

      Set the specified image's state to newState and update the displayed image given by whichPart, or set the state for all images to newState and update the displayed images if whichPart is not provided.
      Parameters:
        `newState` - name for the new state ("off", "down", etc)
        `whichPart` - name of the piece to set ("start", "stretch" or "end") if not specified, sets them all
      See Also:
        `Appearance overview and related methods`

    - #### setDefaultProperties

          public static void setDefaultProperties(StretchImg stretchImgProperties)

      Class level method to set the default properties of this class. If set, then all subsequent instances of this class will automatically have the default properties that were set when this method was called. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

      Note: This method is intended for setting default attributes only and will effect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead.

      Parameters:
        `stretchImgProperties` - properties that should be used as new defaults when instances of this class are created

    - #### setLogicalStructure

          public com.smartgwt.logicalstructure.core.LogicalStructureObject setLogicalStructure(com.smartgwt.logicalstructure.widgets.StretchImgLogicalStructure s)

    - #### getLogicalStructure

          public com.smartgwt.logicalstructure.core.LogicalStructureObject getLogicalStructure()

      Specified by:
        `getLogicalStructure` in interface `LogicalStructure`
      Overrides:
        `getLogicalStructure` in class `StatefulCanvas`